<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page language="java"%>
<%@ page pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.ibm.rpm.WebUIConstants"%>
<%@ page import="com.ibm.rpm.RPMUtilityBean"%>
<%@ page import="com.ibm.rpm.i18n.LabelExtractor"%>
<%
    request.setCharacterEncoding(WebUIConstants.UTF8); // Must absolutely be done before the first request.getParameter()
	// Fix ChangeRequest RATLC01034584
	    // Code compatible Servlet 2.4 only
	    // response.setCharacterEncoding(WebUIConstants.UTF8);	
	    // response.setContentType("text/html"); //$NON-NLS-1$
	    // Code compatible Servlet 2.3 & 2.4
	    response.setContentType("text/html; charset=UTF-8"); //$NON-NLS-1$
	// End-of-fix ChangeRequest RATLC01034584

    String languageId = RPMUtilityBean.getLanguageId(request);
    Locale locale = RPMUtilityBean.getLocale(request);

    try {
	     session.invalidate();
	}
	catch (Throwable t) {
	     // Session is already invalid
	}
  
	response.setHeader("Pragma", "No-cache"); //$NON-NLS-1$ //$NON-NLS-2$
	response.setHeader("Cache-Control", "no-cache"); //$NON-NLS-1$ //$NON-NLS-2$
	response.setDateHeader("Expires", 0); //$NON-NLS-1$

    response.sendRedirect(request.getContextPath()+"/rpm/olympia.jsp?lang=" + languageId); //$NON-NLS-1$
%>
<html>
<head>
  <title><%=
      LabelExtractor.get("dojo_common_applicationName", locale) //$NON-NLS-1$
  %></title>
</head>
</html>
